#ifndef XcbWindowCapture_h
#define XcbWindowCapture_h

// $Id: XcbWindowCapture.h,v 1.1 2014/05/08 10:15:38 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"

#include <QObject>
#include <QPixmap>

class XcbWindowCapture: public QObject, public Counter
{
    
    Q_OBJECT
        
    public:
    
    //! constructor
    XcbWindowCapture( QObject* parent ):
        QObject( parent ),
        Counter( "XcbWindowCapture" )
    {}
    
    //! destructor
    virtual ~XcbWindowCapture( void )
    {}
        
    //! capture
    QPixmap capture( WId ) const;

    //! capture
    QPixmap capture( WId, const QRect& ) const;
    
};

#endif
